* {
  color: var(--clr-primary);
  font-family: "Poppins", sans-serif;
}

body {
  background-color: var(--bg-primary);
}

.btn {
  cursor: pointer;
  transition: 0.7s;
}

.btn-outline-indigo {
  border: 1px solid var(--bs-indigo);
  color: var(--bs-indigo);
  --bs-btn-hover-color: #fff;
  --bs-btn-hover-bg: var(--bs-indigo);
  --bs-btn-hover-border-color: var(--bs-indigo);
}

.flex--center {
  justify-content: center;
  align-items: center;
}

.invisible {
  opacity: 0;
  visibility: hidden;
  pointer-events: none;
  width: 0;
  height: 0;
}

.bg--green {
  background-color: var(--clr-ribbon);
}

.font-size-2 {
  font-size: var(--fs-style-2);
}

.font-size-3 {
  font-size: var(--fs-style-3);
}

.has-border-bottom {
  position: relative;
}

.has-border-bottom::after {
  content: "";
  display: inline-block;
  width: 90%;
  border-radius: 0.8rem;
  height: 2px;
  background-color: #768ddea8;
  position: absolute;
  left: 50%;
  transform: translate(-50%);
  bottom: -5px;
}

.stock-status {
  padding: 0.17rem;
  max-width: 101px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.outlined-1 {
  border: 1px solid #d61c4e;
  border-radius: 11px;
}

.outlined-2 {
  border: 1px solid #100f0f;
  background-color: #fff;
  color: #100f0f;
}

/* --------------------- START PRODUCT SECTION CSS */
.stock-status span {
  letter-spacing: 1.5px;
  font-size: 0.8rem;
}

.product__name .sub-title {
  transition: 0.5s;
}

.product__name p.title {
  color: #2c3333;
  transition: 0.5s;
}

.product__price {
  font-size: 18px;
}

.product__price .current-price {
  color: #eb4747;
}

/* --------------------- END PRODUCT SECTION CSS */

/* --------------------- START QUANTITY ADJUST SECTION CSS */
.quantity-adjust {
  display: flex;
  align-items: center;
  transition: 0.5s;
}

.quantity-adjust input.product__quantity {
  outline: none;
  width: 30px;
  height: 30px;
  font-size: 16px;
  border: 1px solid rgba(0, 0, 0, 0.09);
  border-left-width: 0;
  border-right-width: 0;
  transition: 0.5s;
}

.quantity-adjust input.product__quantity:focus {
  outline: none;
  border: 1px solid rgba(0, 0, 0, 0.09);
  border-left-width: 0;
  border-right-width: 0;
}

.quantity-adjust .btn-adjust {
  --btn-size: 30px;
  padding: 0.5rem 0.3rem;
  border: 1px solid rgba(0, 0, 0, 0.09);
  border-radius: 2px;
  width: var(--btn-size);
  height: var(--btn-size);

  display: flex;
  align-items: center;
  justify-content: center;
  transition: 0.5s;
}
.quantity-adjust input:hover,
.quantity-adjust .btn-adjust:hover {
  border: 1px solid rgba(0, 0, 0, 0.4);
}

.quantity-adjust .btn-adjust.btn-up {
  border-top-left-radius: 0;
  border-bottom-left-radius: 0;
}

.quantity-adjust .btn-adjust.btn-down {
  border-top-right-radius: 0;
  border-bottom-right-radius: 0;
}

.quantity-adjust .btn-adjust:hover,
.quantity-adjust .btn-adjust:focus {
  --bs-btn-hover-border-color: transparent;
}

.quantity-adjust .btn-adjust:active {
  --bs-btn-active-border-color: transparent;
}
/* --------------------- END QUANTITY ADJUST SECTION CSS */
